- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AlpsTimer Class Reference

`#include <AlpsTime.h>`

List of all members.

## Public Member Functions
| AlpsTimer ()
| AlpsTimer (double lt)
| ~AlpsTimer ()
void | reset ()
| Reset.
void | start ()
| Start to count times.
void | stop ()
| Stop timer and computing times.
void | setLimit (double lm)
double | getLimit () const
double | getCpuTime ()
| Get cpu timee.
double | getWallClock ()
| Get cpu timee.
double | getTime ()
| Get time depends on clock type.
int | getClockType ()
| Get/Set clock type.
void | setClockType (int ct)
bool | reachCpuLimit ()
| Check if cpu time reach limit.
bool | reachWallLimit ()
| Check if wallclock time reach limit.
## Public Attributes
int | clockType_
double | limit_
| Time limit.
double | startCpu_
double | startWall_
double | finishCpu_
double | finishWall_
double | cpu_
| Cpu time.
double | wall_
| Wall clock time.

## Detailed Description

Definition at line 75 of file AlpsTime.h.

## Constructor & Destructor Documentation

AlpsTimer::AlpsTimer | ( |  | ) | `[inline]`

Definition at line 96 of file AlpsTime.h.

References reset().

AlpsTimer::AlpsTimer | ( | double | lt | ) | `[inline]`

Definition at line 97 of file AlpsTime.h.

References reset().

AlpsTimer::~AlpsTimer | ( |  | ) | `[inline]`

Definition at line 98 of file AlpsTime.h.

## Member Function Documentation

void AlpsTimer::reset | ( |  | ) | `[inline]`

Reset.

Definition at line 101 of file AlpsTime.h.

References cpu_, finishCpu_, finishWall_, startCpu_, startWall_, and wall_.

Referenced by AlpsTimer().

void AlpsTimer::start | ( |  | ) | `[inline]`

Start to count times.

Definition at line 111 of file AlpsTime.h.

References AlpsCpuTime, AlpsWallClock(), startCpu_, and startWall_.

void AlpsTimer::stop | ( |  | ) | `[inline]`

Stop timer and computing times.

Definition at line 117 of file AlpsTime.h.

References AlpsCpuTime, AlpsWallClock(), cpu_, finishCpu_, finishWall_, startCpu_, startWall_, and wall_.

void AlpsTimer::setLimit | ( | double | lm | ) | `[inline]`

Definition at line 125 of file AlpsTime.h.

References limit_.

double AlpsTimer::getLimit | ( |  | ) | const`[inline]`

Definition at line 126 of file AlpsTime.h.

References limit_.

double AlpsTimer::getCpuTime | ( |  | ) | `[inline]`

Get cpu timee.

Definition at line 130 of file AlpsTime.h.

References AlpsCpuTime, cpu_, finishCpu_, and startCpu_.

double AlpsTimer::getWallClock | ( |  | ) | `[inline]`

Get cpu timee.

Definition at line 137 of file AlpsTime.h.

References AlpsWallClock(), finishWall_, startWall_, and wall_.

double AlpsTimer::getTime | ( |  | ) | `[inline]`

Get time depends on clock type.

Definition at line 144 of file AlpsTime.h.

References AlpsClockTypeCpu, AlpsClockTypeWallClock, AlpsCpuTime, AlpsWallClock(), clockType_, cpu_, finishCpu_, finishWall_, startCpu_, startWall_, and wall_.

int AlpsTimer::getClockType | ( |  | ) | `[inline]`

Get/Set clock type.

Definition at line 160 of file AlpsTime.h.

References clockType_.

void AlpsTimer::setClockType | ( | int | ct | ) | `[inline]`

Definition at line 161 of file AlpsTime.h.

References clockType_.

bool AlpsTimer::reachCpuLimit | ( |  | ) | `[inline]`

Check if cpu time reach limit.

Definition at line 164 of file AlpsTime.h.

References AlpsCpuTime, AlpsWallClock(), finishCpu_, finishWall_, limit_, and startCpu_.

bool AlpsTimer::reachWallLimit | ( |  | ) | `[inline]`

Check if wallclock time reach limit.

Definition at line 176 of file AlpsTime.h.

References AlpsCpuTime, AlpsWallClock(), finishCpu_, finishWall_, limit_, and startWall_.

## Member Data Documentation

int AlpsTimer::clockType_

Definition at line 79 of file AlpsTime.h.

Referenced by getClockType(), getTime(), and setClockType().

double AlpsTimer::limit_

Time limit.

Definition at line 82 of file AlpsTime.h.

Referenced by getLimit(), reachCpuLimit(), reachWallLimit(), and setLimit().

double AlpsTimer::startCpu_

Definition at line 84 of file AlpsTime.h.

Referenced by getCpuTime(), getTime(), reachCpuLimit(), reset(), start(), and stop().

double AlpsTimer::startWall_

Definition at line 85 of file AlpsTime.h.

Referenced by getTime(), getWallClock(), reachWallLimit(), reset(), start(), and stop().

double AlpsTimer::finishCpu_

Definition at line 86 of file AlpsTime.h.

Referenced by getCpuTime(), getTime(), reachCpuLimit(), reachWallLimit(), reset(), and stop().

double AlpsTimer::finishWall_

Definition at line 87 of file AlpsTime.h.

Referenced by getTime(), getWallClock(), reachCpuLimit(), reachWallLimit(), reset(), and stop().

double AlpsTimer::cpu_

Cpu time.

Definition at line 90 of file AlpsTime.h.

Referenced by getCpuTime(), getTime(), reset(), and stop().

double AlpsTimer::wall_

Wall clock time.

Definition at line 93 of file AlpsTime.h.

Referenced by getTime(), getWallClock(), reset(), and stop().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.2.1/Alps/src/AlpsTime.h